export const chunkWords = /\b(?:chars?|characters?|(?:(?:text|list)\s+)?items?|words?|lines?)\b/i
export const wholeChunk = /(\b(?:chars?|characters?|(?:(?:text|list)\\s+)?items?|words?|lines?)\s+)(?:(\b(?:(?:global|universal)\\s+)?\b[a-zA-Z_][a-zA-Z0-9_]*\b)|(\b(?:0(?:x|X)[0-9a-fA-F](?:[0-9a-fA-F_]*[0-9a-fA-F])?|0(?:b|B)[01](?:[01_]*[01])?|0(?:o|O)[0-7](?:[0-7_]*[0-7])?|(?:[0-9](?:[0-9_]*[0-9])?\\.?[0-9]*(?:[0-9_]*[0-9])?|\\.[0-9](?:[0-9_]*[0-9])?)(?:(?:e|E)(?:\\+|-)?[0-9](?:[0-9_]*[0-9])?)?)\b)|(!?"[^\\n\\r]*?"))(?:(\\s+?to\\s*)(?:(\b(?:(?:global|universal)\\s+)?\b[a-zA-Z_][a-zA-Z0-9_]*\b)|(\b(?:0(?:x|X)[0-9a-fA-F](?:[0-9a-fA-F_]*[0-9a-fA-F])?|0(?:b|B)[01](?:[01_]*[01])?|0(?:o|O)[0-7](?:[0-7_]*[0-7])?|(?:[0-9](?:[0-9_]*[0-9])?\\.?[0-9]*(?:[0-9_]*[0-9])?|\.[0-9](?:[0-9_]*[0-9])?)(?:(?:e|E)(?:\\+|-)?[0-9](?:[0-9_]*[0-9])?)?)\b)|(!?"[^\\n\\r]*?")))?(\\s*of\\s+)/i
export const endChunk = /\b((?:the\\s+)?(?:first|second|third|fourth|fifth|sixth|seventh|eighth|ninth|tenth))(\\s+(?:chars?|characters?|(?:(?:text|list)\\s+)?items?|words?|lines?)\s+of\s+)/
